## xpilot 4.5.5beta.20050814

=== debian/changelog ===
xpilot (4.5.5beta.20050814) unstable; urgency=low

  * Converted to a set of dummy upgrade packages.  (Closes: #226819, 
    #147448).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  8 Aug 2005 10:25:34 -0300

xpilot (4.5.5beta.20031222-3) unstable; urgency=low

  * When connecting from Local server list, ensure the version
    of the server being joined is used instead of the last version
    in the list.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 21 Jan 2004 09:52:10 -0400

xpilot (4.5.5beta.20031222-2) unstable; urgency=low

  * Only remove each automatically generated Makefile in clean target.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 10 Jan 2004 10:11:15 -0400

xpilot (4.5.5beta.20031222-1) unstable; urgency=low

  * New upstream.
  * Fixed deps for nas (now called libaudio).  (Closes: #212600).
  * Removed unused templates (Closes: #198530, #199642).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  4 Jan 2004 16:54:36 -0400

xpilot (4.5.4-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Mon, 15 Jul 2002 11:20:04 -0300

xpilot (4.5.3-1) unstable; urgency=medium

  * New upstream.  Fixes annoying "players unpaused at end of round" bug
    and little else.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 21 Apr 2002 21:01:15 -0300

xpilot (4.5.2-1) unstable; urgency=medium

  * New upstream.
  * Fixed init script and prerm to allow xpilot-server removal even
    when xpilots uid and/or gid don't exist, as might be the case
    if a prior removal attempt failed (Closes: #142941).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 15 Apr 2002 08:01:33 -0300

xpilot (4.5.1-1) unstable; urgency=high

  * New upstream.
  * Major bug fixes.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  9 Apr 2002 09:47:48 -0300

xpilot (4.5.0final-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri,  8 Mar 2002 07:51:14 -0400

xpilot (4.5.0beta-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 14 Feb 2002 17:08:28 -0400

xpilot (4.5.0alpha.020201-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri,  1 Feb 2002 16:47:15 -0400

xpilot (4.5.0alpha.011209-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  9 Dec 2001 09:11:31 -0400

xpilot (4.4.3-1) unstable; urgency=low

  * New upstream.  Fixes a couple of bugs that could crash the server.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  6 Nov 2001 12:42:02 -0400

xpilot (4.4.2final-4) unstable; urgency=low

  * Priority of -nas and -rplay aligned with overrides.  These are
    now extra.
  * README.Debian in -common now explains a bit about sound.
  * Sounds made into a proper config file in /etc/xpilot/sounds.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 21 Oct 2001 20:28:09 -0300

xpilot (4.4.2final-3) unstable; urgency=low

  * Build for -nas and -rplay really fixed.  The common files must be
    built with sound enabled too.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 20 Oct 2001 19:44:26 -0300

xpilot (4.4.2final-2) unstable; urgency=low

  * Fix sound versions of packges.  Missing /usr/share/games/sounds
    was accidentally placed in xpilot-server instead.  Also, sound
    libraries weren't even linked against in -1!

  * This release dedicated to our new baby, Joanna Louise Armstrong,
    born Tuesday, October 9, 2001 weighing 9 lbs 9 oz at the IWK Grace
    Hospital in Halifax, NS.  Joanna, whether or not you grow up to
    like this game, I'll always love you.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 19 Oct 2001 20:50:13 -0300

xpilot (4.4.2final-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  8 Oct 2001 13:02:47 -0300

xpilot (4.4.2beta-3) unstable; urgency=low

  * Rplay supported by hurd, so reinstated.  Nas omitted completely for
    hurd-i386 architecture so this should build on hurd now.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  7 Oct 2001 21:46:17 -0300

xpilot (4.4.2beta-2) unstable; urgency=low

  * Some touch-ups.  Misc policy issues: man page symlinks, etc.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  7 Oct 2001 21:19:40 -0300

xpilot (4.4.2beta-1) unstable; urgency=low

  * New upstream.
  * Make it possible for -rplay and -nas versions of client 
    to be omitted for arches with no sound (specifically hurd).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 14 Aug 2001 15:28:26 -0300

xpilot (4.4.1final-2) unstable; urgency=low

  * Add -noquit to start-xpilots, as daemons started at boot time
    are expected to run continuously.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  2 Jul 2001 22:51:01 -0300

xpilot (4.4.1final-1) unstable; urgency=low

  * New upstream.  Final release integrating ball ownership fix.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon,  2 Jul 2001 10:53:41 -0300

xpilot (4.4.1beta.synrg.010701-0.1) unstable; urgency=low

  * Applied fix for ball ownership reset in Delete_player().

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  1 Jul 2001 10:28:05 -0300

xpilot (4.4.1beta.dist-0.1) unstable; urgency=low

  * Upstream cvs added a few minor fixes.
  * Beta released from cvs as distribution tarball.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 26 Jun 2001 07:41:19 -0300

xpilot (4.4.1beta.010625-0.1) unstable; urgency=low

  * Latest snapshot.
  * Created xpilot dynamic user and group so that password and
    defaults files are given proper ownership.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 25 Jun 2001 17:56:20 -0300

xpilot (4.4.1alpha.010625-0.1) unstable; urgency=low

  * Latest snapshot.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 25 Jun 2001 08:49:42 -0300

xpilot (4.4.0final-1) unstable; urgency=low

  * New upstream release.

