=== debian/control ===
Source: xpilot
Section: games
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: xpilot-client-common
Architecture: all
Depends: xpilot (= 4.5.5beta.20050814)
Replaces: xpilot-server (= 4.4.2final-1)
Conflicts: xpilot-client, xpilot (<< 4.1.0-4.U.4alpha2.1)
Description: Dummy upgrade package for xpilot-client-common
 This is a transitional package; see the xpilot-ng-common package instead.

Package: xpilot-client-nosound
Architecture: all
Depends: xpilot-client-common (= 4.5.5beta.20050814), xpilot (= 4.5.5beta.20050814)
Conflicts: xpilot-client, xpilot (<< 4.1.0-4.U.4alpha2.1)
Replaces: xpilot-client
Description: Dummy upgrade package for xpilot-client-nosound
 This is a transitional package; see the xpilot-ng-client-x11 and
 xpilot-ng-client-sdl packages instead.

Package: xpilot-client-nas
Architecture: all
Depends: xpilot-client-common (= 4.5.5beta.20050814), xpilot (= 4.5.5beta.20050814)
Conflicts: xpilot-client, xpilot (<< 4.1.0-4.U.4alpha2.1)
Replaces: xpilot-client
Priority: extra
Description: Dummy upgrade package for xpilot-client-nas
 This is a transitional package; see the xpilot-ng-client-x11 and
 xpilot-ng-client-sdl packages instead.

Package: xpilot-client-rplay
Architecture: all
Depends: xpilot-client-common (= 4.5.5beta.20050814), xpilot (= 4.5.5beta.20050814)
Conflicts: xpilot-client, xpilot (<< 4.1.0-4.U.4alpha2.1)
Replaces: xpilot-client
Priority: extra
Description: Dummy upgrade package for xpilot-client-rplay
 This is a transitional package; see the xpilot-ng-client-x11 and
 xpilot-ng-client-sdl packages instead.

Package: xpilot-server
Architecture: all
Depends: xpilot (= 4.5.5beta.20050814)
Conflicts: xpilot (<< 4.1.0-4.U.4alpha2.1)
Description: Dummy upgrade package for xpilot-server
 This is a transitional package; see the xpilot-ng-server package
 instead.

Package: xpilot
Architecture: all
Depends: xpilot-ng
Description: Dummy upgrade package for xpilot
 This is a transitional package; see the xpilot-ng package instead.
