=== debian/rules ===
#!/usr/bin/make -f
# Adapted from sample debian/rules that uses debhelper
# Original by Joey Hess; GNU copyright 1997
# Modified by Matt Kern; GNU copyright 1999
# Modified by Ben Armstrong; GNU copyright 2001, 2002
# Last updated Apr. 15, 2002


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	dh_clean


install: install-stamp
install-stamp:
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion -i
	dh_testdir -i
	dh_testroot -i
	dh_link -i
	dh_installdocs -pxpilot
	dh_installchangelogs -pxpilot
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


# Build architecture-dependent files here.
binary-arch:
# nothing to do anymore

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
